Index: LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read2.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read2.f90	(revision 5269)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read2.f90	(revision 5270)
@@ -3,5 +3,6 @@
 !
 MODULE mod_1D_cases_read2
-
+  USE netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_inq_varid, nf90_inquire_dimension, nf90_strerror, nf90_open, &
+          nf90_nowrite, nf90_inq_dimid
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
   !Declarations specifiques au cas standard
@@ -81,6 +82,4 @@
     implicit none
 
-    INCLUDE "netcdf.inc"
-
     INTEGER nid,rid,ierr
     INTEGER ii,jj
@@ -88,40 +87,40 @@
     fich_cas='setup/cas.nc'
     print*,'fich_cas ',fich_cas
-    ierr = NF_OPEN(fich_cas,NF_NOWRITE,nid)
-    print*,'fich_cas,NF_NOWRITE,nid ',fich_cas,NF_NOWRITE,nid
-    if (ierr.NE.NF_NOERR) then
+    ierr = nf90_open(fich_cas,nf90_nowrite,nid)
+    print*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
+    if (ierr.NE.nf90_noerr) then
        write(*,*) 'ERROR: GROS Pb opening forcings nc file '
-       write(*,*) NF_STRERROR(ierr)
+       write(*,*) nf90_strerror(ierr)
        stop ""
     endif
     !.......................................................................
-    ierr=NF_INQ_DIMID(nid,'lat',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    ierr=nf90_inq_dimid(nid,'lat',rid)
+    IF (ierr.NE.nf90_noerr) THEN
        print*, 'Oh probleme lecture dimension lat'
     ENDIF
-    ierr=NF_INQ_DIMLEN(nid,rid,ii)
+    ierr=nf90_inquire_dimension(nid,rid,len=ii)
     print*,'OK1 nid,rid,lat',nid,rid,ii
     !.......................................................................
-    ierr=NF_INQ_DIMID(nid,'lon',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    ierr=nf90_inq_dimid(nid,'lon',rid)
+    IF (ierr.NE.nf90_noerr) THEN
        print*, 'Oh probleme lecture dimension lon'
     ENDIF
-    ierr=NF_INQ_DIMLEN(nid,rid,jj)
+    ierr=nf90_inquire_dimension(nid,rid,len=jj)
     print*,'OK2 nid,rid,lat',nid,rid,jj
     !.......................................................................
-    ierr=NF_INQ_DIMID(nid,'lev',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    ierr=nf90_inq_dimid(nid,'lev',rid)
+    IF (ierr.NE.nf90_noerr) THEN
        print*, 'Oh probleme lecture dimension zz'
     ENDIF
-    ierr=NF_INQ_DIMLEN(nid,rid,nlev_cas)
+    ierr=nf90_inquire_dimension(nid,rid,len=nlev_cas)
     print*,'OK3 nid,rid,nlev_cas',nid,rid,nlev_cas
     !.......................................................................
-    ierr=NF_INQ_DIMID(nid,'time',rid)
+    ierr=nf90_inq_dimid(nid,'time',rid)
     print*,'nid,rid',nid,rid
     nt_cas=0
-    IF (ierr.NE.NF_NOERR) THEN
+    IF (ierr.NE.nf90_noerr) THEN
        stop 'probleme lecture dimension sens'
     ENDIF
-    ierr=NF_INQ_DIMLEN(nid,rid,nt_cas)
+    ierr=nf90_inquire_dimension(nid,rid,len=nt_cas)
     print*,'OK4 nid,rid,nt_cas',nid,rid,nt_cas
 
@@ -192,6 +191,4 @@
     implicit none
 
-    INCLUDE "netcdf.inc"
-
     INTEGER nid,rid,ierr
     INTEGER ii,jj
@@ -199,39 +196,39 @@
     fich_cas='setup/cas.nc'
     print*,'fich_cas ',fich_cas
-    ierr = NF_OPEN(fich_cas,NF_NOWRITE,nid)
-    print*,'fich_cas,NF_NOWRITE,nid ',fich_cas,NF_NOWRITE,nid
-    if (ierr.NE.NF_NOERR) then
+    ierr = nf90_open(fich_cas,nf90_nowrite,nid)
+    print*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
+    if (ierr.NE.nf90_noerr) then
        write(*,*) 'ERROR: GROS Pb opening forcings nc file '
-       write(*,*) NF_STRERROR(ierr)
+       write(*,*) nf90_strerror(ierr)
        stop ""
     endif
     !.......................................................................
-    ierr=NF_INQ_DIMID(nid,'lat',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    ierr=nf90_inq_dimid(nid,'lat',rid)
+    IF (ierr.NE.nf90_noerr) THEN
        print*, 'Oh probleme lecture dimension lat'
     ENDIF
-    ierr=NF_INQ_DIMLEN(nid,rid,ii)
+    ierr=nf90_inquire_dimension(nid,rid,len=ii)
     print*,'OK1 read2: nid,rid,lat',nid,rid,ii
     !.......................................................................
-    ierr=NF_INQ_DIMID(nid,'lon',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    ierr=nf90_inq_dimid(nid,'lon',rid)
+    IF (ierr.NE.nf90_noerr) THEN
        print*, 'Oh probleme lecture dimension lon'
     ENDIF
-    ierr=NF_INQ_DIMLEN(nid,rid,jj)
+    ierr=nf90_inquire_dimension(nid,rid,len=jj)
     print*,'OK2 read2: nid,rid,lat',nid,rid,jj
     !.......................................................................
-    ierr=NF_INQ_DIMID(nid,'nlev',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    ierr=nf90_inq_dimid(nid,'nlev',rid)
+    IF (ierr.NE.nf90_noerr) THEN
        print*, 'Oh probleme lecture dimension nlev'
     ENDIF
-    ierr=NF_INQ_DIMLEN(nid,rid,nlev_cas)
+    ierr=nf90_inquire_dimension(nid,rid,len=nlev_cas)
     print*,'OK3 read2: nid,rid,nlev_cas',nid,rid,nlev_cas
     !.......................................................................
-    ierr=NF_INQ_DIMID(nid,'time',rid)
+    ierr=nf90_inq_dimid(nid,'time',rid)
     nt_cas=0
-    IF (ierr.NE.NF_NOERR) THEN
+    IF (ierr.NE.nf90_noerr) THEN
        stop 'Oh probleme lecture dimension time'
     ENDIF
-    ierr=NF_INQ_DIMLEN(nid,rid,nt_cas)
+    ierr=nf90_inquire_dimension(nid,rid,len=nt_cas)
     print*,'OK4 read2: nid,rid,nt_cas',nid,rid,nt_cas
 
@@ -319,6 +316,4 @@
     use netcdf, only: nf90_get_var
     implicit none
-
-    INCLUDE "netcdf.inc"
     INCLUDE "date_cas.h"
 
@@ -329,31 +324,31 @@
     fich_cas='cas.nc'
     print*,'fich_cas ',fich_cas
-    ierr = NF_OPEN(fich_cas,NF_NOWRITE,nid)
-    print*,'fich_cas,NF_NOWRITE,nid ',fich_cas,NF_NOWRITE,nid
-    if (ierr.NE.NF_NOERR) then
+    ierr = nf90_open(fich_cas,nf90_nowrite,nid)
+    print*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
+    if (ierr.NE.nf90_noerr) then
        write(*,*) 'ERROR: GROS Pb opening forcings nc file '
-       write(*,*) NF_STRERROR(ierr)
+       write(*,*) nf90_strerror(ierr)
        stop ""
     endif
     !.......................................................................
-    ierr=NF_INQ_DIMID(nid,'lat',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    ierr=nf90_inq_dimid(nid,'lat',rid)
+    IF (ierr.NE.nf90_noerr) THEN
        print*, 'Oh probleme lecture dimension lat'
     ENDIF
-    ierr=NF_INQ_DIMLEN(nid,rid,ii)
+    ierr=nf90_inquire_dimension(nid,rid,len=ii)
     print*,'OK1 read2: nid,rid,lat',nid,rid,ii
     !.......................................................................
-    ierr=NF_INQ_DIMID(nid,'lon',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    ierr=nf90_inq_dimid(nid,'lon',rid)
+    IF (ierr.NE.nf90_noerr) THEN
        print*, 'Oh probleme lecture dimension lon'
     ENDIF
-    ierr=NF_INQ_DIMLEN(nid,rid,jj)
+    ierr=nf90_inquire_dimension(nid,rid,len=jj)
     print*,'OK2 read2: nid,rid,lat',nid,rid,jj
     !.......................................................................
-    ierr=NF_INQ_DIMID(nid,'lev',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    ierr=nf90_inq_dimid(nid,'lev',rid)
+    IF (ierr.NE.nf90_noerr) THEN
        print*, 'Oh probleme lecture dimension nlev'
     ENDIF
-    ierr=NF_INQ_DIMLEN(nid,rid,nlev_cas)
+    ierr=nf90_inquire_dimension(nid,rid,len=nlev_cas)
     print*,'OK3 read2: nid,rid,nlev_cas',nid,rid,nlev_cas
     IF ( .NOT. ( nlev_cas > 10 .AND. nlev_cas < 1000 )) THEN
@@ -362,21 +357,21 @@
     ENDIF
     !.......................................................................
-    ierr=NF_INQ_DIMID(nid,'time',rid)
+    ierr=nf90_inq_dimid(nid,'time',rid)
     nt_cas=0
-    IF (ierr.NE.NF_NOERR) THEN
+    IF (ierr.NE.nf90_noerr) THEN
        stop 'Oh probleme lecture dimension time'
     ENDIF
-    ierr=NF_INQ_DIMLEN(nid,rid,nt_cas)
+    ierr=nf90_inquire_dimension(nid,rid,len=nt_cas)
     print*,'OK4 read2: nid,rid,nt_cas',nid,rid,nt_cas
     ! Lecture de l'axe des temps
     print*,'LECTURE DU TEMPS'
-    ierr=NF_INQ_VARID(nid,'time',timeid)
-    if(ierr/=NF_NOERR) then
+    ierr=nf90_inq_varid(nid,'time',timeid)
+    if(ierr/=nf90_noerr) then
        print *,'Variable time manquante dans cas.nc:'
-       ierr=NF_NOERR
+       ierr=nf90_noerr
     else
        allocate(time_val(nt_cas))
        ierr = NF90_GET_VAR(nid,timeid,time_val)
-       if(ierr/=NF_NOERR) then
+       if(ierr/=nf90_noerr) then
           print *,'Pb a la lecture de time cas.nc: '
        endif
@@ -541,7 +536,7 @@
 
   !program reading forcing of the case study
-  use netcdf, only: nf90_get_var
+  USE netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_inq_varid, nf90_inquire_dimension, nf90_strerror, nf90_open, &
+          nf90_nowrite, nf90_inq_dimid
   implicit none
-  INCLUDE "netcdf.inc"
 
   integer ntime,nlevel
@@ -581,7 +576,7 @@
   enddo
   do i=1,nbvar3d
-     ierr=NF_INQ_VARID(nid,name_var(i),var3didin(i)) 
+     ierr=nf90_inq_varid(nid,name_var(i),var3didin(i))
      print *,'ierr=',i,ierr,name_var(i),var3didin(i)
-     if(ierr/=NF_NOERR) then
+     if(ierr/=nf90_noerr) then
         print *,'Variable manquante dans cas.nc:',name_var(i)
      endif
@@ -592,5 +587,5 @@
         ierr = NF90_GET_VAR(nid,var3didin(i),resul, count = [1, 1, nlevel, ntime])
         print *,'Dans read_cas2, on a lu ',ierr,var3didin(i),name_var(i)
-        if(ierr/=NF_NOERR) then
+        if(ierr/=nf90_noerr) then
            print *,'Pb a la lecture de cas.nc: ',name_var(i)
            stop "getvarup"
@@ -599,5 +594,5 @@
         print *,'Dans read_cas2, on a lu ',ierr,var3didin(i),name_var(i)
         ierr = NF90_GET_VAR(nid,var3didin(i),resul1, count = [1, 1, ntime])
-        if(ierr/=NF_NOERR) then
+        if(ierr/=nf90_noerr) then
            print *,'Pb a la lecture de cas.nc: ',name_var(i)
            stop "getvarup"
@@ -658,7 +653,7 @@
 
   !program reading forcing of the case study
-  use netcdf, only: nf90_get_var
+  USE netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_inq_varid, nf90_inquire_dimension, nf90_strerror, nf90_open, &
+          nf90_nowrite, nf90_inq_dimid
   implicit none
-  INCLUDE "netcdf.inc"
 
   integer ntime,nlevel
@@ -704,8 +699,8 @@
   !-----------------------------------------------------------------------
   do i=1,nbvar3d
-     ierr=NF_INQ_VARID(nid,name_var(i),var3didin(i)) 
-     if(ierr/=NF_NOERR) then
+     ierr=nf90_inq_varid(nid,name_var(i),var3didin(i))
+     if(ierr/=nf90_noerr) then
         print *,'Variable manquante dans cas.nc:',i,name_var(i)
-        ierr=NF_NOERR
+        ierr=nf90_noerr
         missing_var(i)=1
      else
@@ -714,5 +709,5 @@
            ierr = NF90_GET_VAR(nid,var3didin(i),apbp, count = [1, 1, nlevel + 1])
            print *,'read2_cas(apbp), on a lu ',i,name_var(i)
-           if(ierr/=NF_NOERR) then
+           if(ierr/=nf90_noerr) then
               print *,'Pb a la lecture de cas.nc: ',name_var(i)
               stop "getvarup"
@@ -722,5 +717,5 @@
            ierr = NF90_GET_VAR(nid,var3didin(i),resul, count = [1, 1, nlevel, ntime])
            print *,'read2_cas(resul), on a lu ',i,name_var(i)
-           if(ierr/=NF_NOERR) then
+           if(ierr/=nf90_noerr) then
               print *,'Pb a la lecture de cas.nc: ',name_var(i)
               stop "getvarup"
@@ -730,5 +725,5 @@
            ierr = NF90_GET_VAR(nid,var3didin(i),resul2, count = [1, 1, ntime])
            print *,'read2_cas(resul2), on a lu ',i,name_var(i)
-           if(ierr/=NF_NOERR) then
+           if(ierr/=nf90_noerr) then
               print *,'Pb a la lecture de cas.nc: ',name_var(i)
               stop "getvarup"
@@ -738,5 +733,5 @@
            ierr = NF90_GET_VAR(nid,var3didin(i),resul3)
            print *,'read2_cas(resul3), on a lu ',i,name_var(i)
-           if(ierr/=NF_NOERR) then
+           if(ierr/=nf90_noerr) then
               print *,'Pb a la lecture de cas.nc: ',name_var(i)
               stop "getvarup"
@@ -829,7 +824,7 @@
 
   !program reading forcing of the case study
-  use netcdf, only: nf90_get_var
+  USE netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_inq_varid, nf90_inquire_dimension, nf90_strerror, nf90_open, &
+          nf90_nowrite, nf90_inq_dimid
   implicit none
-  INCLUDE "netcdf.inc"
 
   integer ntime,nlevel,k,t
@@ -881,8 +876,8 @@
   print*,'ON EST LA'
   do i=1,nbvar3d
-     ierr=NF_INQ_VARID(nid,name_var(i),var3didin(i)) 
-     if(ierr/=NF_NOERR) then
+     ierr=nf90_inq_varid(nid,name_var(i),var3didin(i))
+     if(ierr/=nf90_noerr) then
         print *,'Variable manquante dans cas.nc:',i,name_var(i)
-        ierr=NF_NOERR
+        ierr=nf90_noerr
         missing_var(i)=1
      else
@@ -891,5 +886,5 @@
            ierr = NF90_GET_VAR(nid,var3didin(i),apbp)
            print *,'read2_cas(apbp), on a lu ',i,name_var(i)
-           if(ierr/=NF_NOERR) then
+           if(ierr/=nf90_noerr) then
               print *,'Pb a la lecture de cas.nc: ',name_var(i)
               stop "getvarup"
@@ -899,5 +894,5 @@
            ierr = NF90_GET_VAR(nid,var3didin(i),resul1)
            print *,'read2_cas(resul1), on a lu ',i,name_var(i)
-           if(ierr/=NF_NOERR) then
+           if(ierr/=nf90_noerr) then
               print *,'Pb a la lecture de cas.nc: ',name_var(i)
               stop "getvarup"
@@ -908,5 +903,5 @@
            ierr = NF90_GET_VAR(nid,var3didin(i),resul)
            print *,'read2_cas(resul), on a lu ',i,name_var(i)
-           if(ierr/=NF_NOERR) then
+           if(ierr/=nf90_noerr) then
               print *,'Pb a la lecture de cas.nc: ',name_var(i)
               stop "getvarup"
@@ -917,5 +912,5 @@
            ierr = NF90_GET_VAR(nid,var3didin(i),resul2)
            print *,'read2_cas(resul2), on a lu ',i,name_var(i)
-           if(ierr/=NF_NOERR) then
+           if(ierr/=nf90_noerr) then
               print *,'Pb a la lecture de cas.nc: ',name_var(i)
               stop "getvarup"
@@ -926,5 +921,5 @@
            ierr = NF90_GET_VAR(nid,var3didin(i),resul3)
            print *,'read2_cas(resul3), on a lu ',i,name_var(i)
-           if(ierr/=NF_NOERR) then
+           if(ierr/=nf90_noerr) then
               print *,'Pb a la lecture de cas.nc: ',name_var(i)
               stop "getvarup"
Index: LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read_std.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read_std.f90	(revision 5269)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read_std.f90	(revision 5270)
@@ -3,4 +3,6 @@
 !
 MODULE mod_1D_cases_read_std
+  USE netcdf, ONLY: nf90_noerr, nf90_inq_varid, nf90_inq_dimid, nf90_inquire_dimension, nf90_open, nf90_nowrite, &
+          nf90_strerror, nf90_get_var
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -89,6 +91,4 @@
     use netcdf, only: nf90_get_var
     implicit none
-
-    INCLUDE "netcdf.inc"
     INCLUDE "date_cas.h"
 
@@ -99,31 +99,31 @@
     fich_cas='cas.nc'
     print*,'fich_cas ',fich_cas
-    ierr = NF_OPEN(fich_cas,NF_NOWRITE,nid)
-    print*,'fich_cas,NF_NOWRITE,nid ',fich_cas,NF_NOWRITE,nid
-    if (ierr.NE.NF_NOERR) then
+    ierr = nf90_open(fich_cas,nf90_nowrite,nid)
+    print*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
+    if (ierr.NE.nf90_noerr) then
        write(*,*) 'ERROR: GROS Pb opening forcings nc file '
-       write(*,*) NF_STRERROR(ierr)
+       write(*,*) nf90_strerror(ierr)
        stop ""
     endif
     !.......................................................................
-    ierr=NF_INQ_DIMID(nid,'lat',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    ierr=nf90_inq_dimid(nid,'lat',rid)
+    IF (ierr.NE.nf90_noerr) THEN
        print*, 'Oh probleme lecture dimension lat'
     ENDIF
-    ierr=NF_INQ_DIMLEN(nid,rid,ii)
+    ierr=nf90_inquire_dimension(nid,rid,len=ii)
     print*,'OK1 read_SCM_cas: nid,rid,lat',nid,rid,ii
     !.......................................................................
-    ierr=NF_INQ_DIMID(nid,'lon',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    ierr=nf90_inq_dimid(nid,'lon',rid)
+    IF (ierr.NE.nf90_noerr) THEN
        print*, 'Oh probleme lecture dimension lon'
     ENDIF
-    ierr=NF_INQ_DIMLEN(nid,rid,jj)
+    ierr=nf90_inquire_dimension(nid,rid,len=jj)
     print*,'OK2 read_SCM_cas: nid,rid,lat',nid,rid,jj
     !.......................................................................
-    ierr=NF_INQ_DIMID(nid,'lev',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    ierr=nf90_inq_dimid(nid,'lev',rid)
+    IF (ierr.NE.nf90_noerr) THEN
        print*, 'Oh probleme lecture dimension nlev'
     ENDIF
-    ierr=NF_INQ_DIMLEN(nid,rid,nlev_cas)
+    ierr=nf90_inquire_dimension(nid,rid,len=nlev_cas)
     print*,'OK3 read_SCM_cas: nid,rid,nlev_cas',nid,rid,nlev_cas
     IF ( .NOT. ( nlev_cas > 10 .AND. nlev_cas < 200000 )) THEN
@@ -132,21 +132,21 @@
     ENDIF
     !.......................................................................
-    ierr=NF_INQ_DIMID(nid,'time',rid)
+    ierr=nf90_inq_dimid(nid,'time',rid)
     nt_cas=0
-    IF (ierr.NE.NF_NOERR) THEN
+    IF (ierr.NE.nf90_noerr) THEN
        stop 'Oh probleme lecture dimension time'
     ENDIF
-    ierr=NF_INQ_DIMLEN(nid,rid,nt_cas)
+    ierr=nf90_inquire_dimension(nid,rid,len=nt_cas)
     print*,'OK4 read_SCM_cas: nid,rid,nt_cas',nid,rid,nt_cas
     ! Lecture de l'axe des temps
     print*,'LECTURE DU TEMPS'
-    ierr=NF_INQ_VARID(nid,'time',timeid)
-    if(ierr/=NF_NOERR) then
+    ierr=nf90_inq_varid(nid,'time',timeid)
+    if(ierr/=nf90_noerr) then
        print *,'Variable time manquante dans cas.nc:'
-       ierr=NF_NOERR
+       ierr=nf90_noerr
     else
        allocate(time_val(nt_cas))
        ierr = NF90_GET_VAR(nid,timeid,time_val)
-       if(ierr/=NF_NOERR) then
+       if(ierr/=nf90_noerr) then
           print *,'A Pb a la lecture de time cas.nc: '
        endif
@@ -331,5 +331,4 @@
     use netcdf, only: nf90_get_var
     implicit none
-    INCLUDE "netcdf.inc"
     INCLUDE "compar1d.h"
 
@@ -414,6 +413,6 @@
 
 
-    ierr=NF_INQ_VARID(nid,'ta',int_test)
-    if(ierr/=NF_NOERR) then
+    ierr=nf90_inq_varid(nid,'ta',int_test)
+    if(ierr/=nf90_noerr) then
        print*, '++++++++++++++++++++++++++++++'
        print*, 'variable ta missing in cas.nc '
@@ -431,9 +430,9 @@
     do i=1,nbvar3d
        missing_var(i)=0.
-       ierr=NF_INQ_VARID(nid,name_var(i),var3didin(i)) 
+       ierr=nf90_inq_varid(nid,name_var(i),var3didin(i))
        print*, 'name_var(i)', name_var(i), var3didin(i)
-       if(ierr/=NF_NOERR) then
+       if(ierr/=nf90_noerr) then
           print *,'Variable manquante dans cas.nc:',i,name_var(i)
-          ierr=NF_NOERR
+          ierr=nf90_noerr
           missing_var(i)=1
        else
@@ -458,5 +457,5 @@
              ierr = NF90_GET_VAR(nid,var3didin(i),apbp)
              print *,'read_SCM(apbp), on a lu ',i,name_var(i)
-             if(ierr/=NF_NOERR) then
+             if(ierr/=nf90_noerr) then
                 print *,'B Pb a la lecture de cas.nc: ',name_var(i)
                 stop "getvarup"
@@ -469,5 +468,5 @@
              ierr = NF90_GET_VAR(nid,var3didin(i),resul1)
              print *,'read_SCM(resul1), on a lu ',i,name_var(i)
-             if(ierr/=NF_NOERR) then
+             if(ierr/=nf90_noerr) then
                 print *,'C Pb a la lecture de cas.nc: ',name_var(i)
                 stop "getvarup"
@@ -482,5 +481,5 @@
              ierr = NF90_GET_VAR(nid,var3didin(i),resul)
              print *,'read_SCM(resul), on a lu ',i,name_var(i)
-             if(ierr/=NF_NOERR) then
+             if(ierr/=nf90_noerr) then
                 print *,'D Pb a la lecture de cas.nc: ',name_var(i)
                 stop "getvarup"
@@ -494,5 +493,5 @@
              ierr = NF90_GET_VAR(nid,var3didin(i),resul2)
              print *,'read_SCM(resul2), on a lu ',i,name_var(i)
-             if(ierr/=NF_NOERR) then
+             if(ierr/=nf90_noerr) then
                 print *,'E Pb a la lecture de cas.nc: ',name_var(i)
                 stop "getvarup"
@@ -506,5 +505,5 @@
              ierr = NF90_GET_VAR(nid,var3didin(i),resul3)
              print *,'read_SCM(resul3), on a lu ',i,name_var(i)
-             if(ierr/=NF_NOERR) then
+             if(ierr/=nf90_noerr) then
                 print *,'F Pb a la lecture de cas.nc: ',name_var(i)
                 stop "getvarup"
